src/base/cs_turbomachinery.c File Reference

| programmer's documentation

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

- File List
- Globals

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Functions | Variables
cs_turbomachinery.c File Reference
`#include "cs_defs.h"`
`#include <assert.h>`
`#include <math.h>`
`#include <string.h>`
`#include "bft_mem.h"`
`#include "bft_printf.h"`
`#include "fvm_selector.h"`
`#include "cs_interface.h"`
`#include "cs_base.h"`
`#include "cs_benchmark.h"`
`#include "cs_gradient.h"`
`#include "cs_gui_mesh.h"`
`#include "cs_gui_output.h"`
`#include "cs_gradient_perio.h"`
`#include "cs_join.h"`
`#include "cs_halo.h"`
`#include "cs_halo_perio.h"`
`#include "cs_mesh.h"`
`#include "cs_mesh_coherency.h"`
`#include "cs_mesh_location.h"`
`#include "cs_mesh_quantities.h"`
`#include "cs_mesh_to_builder.h"`
`#include "cs_multigrid.h"`
`#include "cs_post.h"`
`#include "cs_preprocess.h"`
`#include "cs_prototypes.h"`
`#include "cs_renumber.h"`
`#include "cs_sles.h"`
`#include "cs_time_step.h"`
`#include "cs_timer.h"`
`#include "cs_turbomachinery.h"`
Include dependency graph for cs_turbomachinery.c:

## Functions
void | cs_f_map_turbomachinery_module (cs_int_t *iturbo, cs_real_t rotax[], int **irotce)
void | cs_turbomachinery_set_model (cs_turbomachinery_model_t model)
| Define rotor/stator model. More...
cs_turbomachinery_model_t | cs_turbomachinery_get_model (void)
| Return rotor/stator model. More...
void | cs_turbomachinery_add_rotor (const char *cell_criteria, double rotation_velocity, const double rotation_axis[3])
| Define a rotor by its axis and cell selection criteria. More...
int | cs_turbomachinery_join_add (const char *sel_criteria, float fraction, float plane, int verbosity, int visualization)
| Add a cs_join_t structure to the list of rotor/stator joinings. More...
void | cs_turbomachinery_update_mesh (double t_cur_mob, double *t_elapsed)
| Update mesh for unsteady rotor/stator computation. More...
void | cs_turbomachinery_initialize (void)
| Initializations for turbomachinery computation. More...
void | cs_turbomachinery_finalize (void)
| Free turbomachinery structure. More...
void | cs_turbomachinery_reinit_i_face_fields (void)
| Reinitialize interior face-based fields. More...
void | cs_turbomachinery_resize_cell_fields (void)
| Resize cell-based fields. More...
void | cs_turbomachinery_rotate_fields (const cs_real_t dt[])
| Rotation of vector and tensor fields. More...

## Variables
cs_turbomachinery_t * | cs_glob_turbomachinery = NULL

## Function Documentation

void cs_f_map_turbomachinery_module | ( | cs_int_t * | iturbo,
|  | cs_real_t | rotax[],
|  | int ** | irotce
| ) |  |

void cs_turbomachinery_add_rotor | ( | const char * | cell_criteria,
|  | double | rotation_velocity,
|  | const double | rotation_axis[3]
| ) |  |

Define a rotor by its axis and cell selection criteria.

Parameters

  [in] | cell_criteria | cell selection criteria string
  [in] | rotation_velocity | rotation velocity, in radians/second
  [in] | rotation_axis | rotation axis vector

void cs_turbomachinery_finalize | ( | void |  | ) |

Free turbomachinery structure.

cs_turbomachinery_model_t cs_turbomachinery_get_model | ( | void |  | ) |

Return rotor/stator model.

void cs_turbomachinery_initialize | ( | void |  | ) |

Initializations for turbomachinery computation.

Note
  This function should be called before once the mesh is built, but before cs_post_init_meshes() so that postprocessing meshes are updated correctly in the transient case.

int cs_turbomachinery_join_add | ( | const char * | sel_criteria,
|  | float | fraction,
|  | float | plane,
|  | int | verbosity,
|  | int | visualization
| ) |  |

Add a cs_join_t structure to the list of rotor/stator joinings.

Parameters

  [in] | sel_criteria | boundary face selection criteria
  [in] | fraction | value of the fraction parameter
  [in] | plane | value of the plane parameter
  [in] | verbosity | level of verbosity required
  [in] | visualization | level of visualization required

Returns
  number (1 to n) associated with new joining

void cs_turbomachinery_reinit_i_face_fields | ( | void |  | ) |

Reinitialize interior face-based fields.

void cs_turbomachinery_resize_cell_fields | ( | void |  | ) |

Resize cell-based fields.

This function only handles fields owning their values.

void cs_turbomachinery_rotate_fields | ( | const cs_real_t | dt[] | ) |

Rotation of vector and tensor fields.

void cs_turbomachinery_set_model | ( | cs_turbomachinery_model_t | model | ) |

Define rotor/stator model.

(end ignore by Doxygen)

void cs_turbomachinery_update_mesh | ( | double | t_cur_mob,
|  | double * | t_elapsed
| ) |  |

Update mesh for unsteady rotor/stator computation.

Parameters

  [in] | t_cur_mob | current rotor time
  [out] | t_elapsed | elapsed computation time

## Variable Documentation

cs_turbomachinery_t* cs_glob_turbomachinery = NULL